---
title: Document.queryCommandEnabled()
slug: Web/API/Document/queryCommandEnabled
tags:
  - CSS
  - Document
  - Method
  - Reference
---
<div>{{ApiRef("DOM")}}{{obsolete_header}}</div>

<p>The <code><strong>Document.queryCommandEnabled()</strong></code> method reports whether or not the specified editor command is enabled by the browser.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>isEnabled</var> = document.queryCommandEnabled(<var>command</var>);
</pre>

<dl>
 <dt>
 <h3 id="Parameters">Parameters</h3>
 </dt>
 <dt><code>command</code></dt>
 <dd>The command for which to determine support.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Returns a {{jsxref("Boolean")}} which is <code>true</code> if the command is enabled and <code>false</code> if the command isn't<code>.</code></p>

<h2 id="Notes">Notes</h2>

<ul>
 <li>For '<code>cut</code>' and '<code>copy</code>' commands the method only returns true when called from a user-initiated thread.</li>
 <li>The <code>'paste'</code> command return <code>false</code> not only if the feature is unavailable, but also if the script calling it has insufficient privileges to perform the action.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">var flg = document.queryCommandEnabled("SelectAll");

if(flg) {
  document.execCommand("SelectAll", false, null); // command is enabled, run it
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/editing/execCommand.html#querycommandenabled()">execCommand</a></td>
   <td></td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.queryCommandEnabled")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document.execCommand()")}}</li>
 <li>{{domxref("Document.queryCommandSupported()")}}</li>
</ul>
